Subject: Re: bug#58591: Java packages do not appear to keep a reference to their inputs

From: Liliana Marie Prikler <[email-masked]>
Date: Tue, 18 Oct 2022 09:36:44 +0200

Am Montag, dem 17.10.2022 um 22:45 -0400 schrieb Maxim Cournoyer:
> Hi Julien,
> 
> Julien Lepiller <[email-masked]> writes:
> 
> > You're right, java package don't retain references to there input,
> > that's why we propagate required dependencies (mh… sometimes). I
> > don't
> > know how they could reference dependencies directly.
> 
> Could we, along with installing Java classes as directories instead
> of .jar archive files [0] at a more specific prefix, define a search
> path specification that'd set CLASSPATH?  Currently I don't see
> anything setting CLASSPATH outside of the build systems, so even if
> we propagate Java things, I don't see how it'd find them in a
> profile.
I'd recommend writing an xml file like 

  <path id="${java-package-name}.classpath">
    <pathelement location="${output-jar}" />
    <pathelement path="${input1.classpath}" />
    ... 
    <pathelement path="${inputn.classpath}" /> 
  </path>

to a well-known location.  Then we could reuse those files in ant-
build-system.

Cheers